Bug 1098132 - Remote Journal Logging
Summary: Remote Journal Logging
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Changes Tracking
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jaroslav Reznik
QA Contact:
URL:
Whiteboard: ChangeAcceptedF21 SelfContainedChange
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-05-15 11:13 UTC by Jaroslav Reznik
Modified: 2015-03-11 22:46 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-08 15:27:15 UTC
pbokoc: fedora_requires_release_note+


Attachments (Terms of Use)

Description Jaroslav Reznik 2014-05-15 11:13:13 UTC
This is a tracking bug for Change: Remote Journal Logging
For more details, see: https://fedoraproject.org//wiki/Changes/Remote_Journal_Logging

Systemd journal can be configured to forward events to a remote server. Entries are forwarded including full metadata, and are stored in normal journal files, identically to locally generated logs. This can be used as an alternative or in addition to existing log forwarding solutions.

Comment 1 Jaroslav Reznik 2014-07-04 10:43:31 UTC
This message is a reminder that Fedora 21 Accepted Changes Freeze Deadline is on 2014-07-08 [1].

At this point, all accepted Changes should be substantially complete, and testable. Additionally, if a change is to be enabled by default, it must be so enabled at Change Freeze.

This bug should be set to the MODIFIED state to indicate that it achieved completeness. Status will be provided to FESCo right after the deadline. If, for any reasons, your Change is not in required state, let me know and we will try to find solution. For Changes you decide to cancel/move to the next release, please use the NEW status and set needinfo on me and it will be acted upon. 

In case of any questions, don't hesitate to ask Wrangler (jreznik). Thank you.

[1] https://fedoraproject.org/wiki/Releases/21/Schedule

Comment 2 Zbigniew Jędrzejewski-Szmek 2014-07-16 03:47:40 UTC
I pushed the changes upstream (http://cgit.freedesktop.org/systemd/systemd/commit/?id=3d090cc6f34e and following commits), so it should be part of the next release. I hope to update F21 to systemd-216 when it is released, since the changes so far seem to be mostly backward compatible, so with some care this should be possible.

Comment 3 Jaroslav Reznik 2014-10-07 12:23:38 UTC
This message is a reminder that Fedora 21 Change Checkpoint: 100% Code Complete Deadline (Former Accepted Changes 100% Complete) is on 2014-10-14 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a point of contingency plan. All incompleted Changes will be reported to FESCo on 2014-10-15 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/21/Schedule

Comment 4 Petr Bokoc 2014-10-14 14:19:01 UTC
The release note beat is available for preview at https://fedoraproject.org/wiki/Documentation_System_Daemons_Beat?rd=Docs/Beats/SystemDaemons

If you would like to make any changes, please contact relnotes@fedoraproject.org or the #fedora-docs channel on FreeNode. Making changes to the wiki page at this point does not guarantee that these changes will appear in the final version of the document.

Comment 5 Jaroslav Reznik 2014-10-21 11:57:17 UTC
Hi Zbigniew,
can you confirm this change hit F21 Beta? Thanks.

Comment 6 Zbigniew Jędrzejewski-Szmek 2014-10-21 13:20:23 UTC
Yes, it does. Sorry for not updating the ticket. It's on my TODO list ;)

Comment 7 Zbigniew Jędrzejewski-Szmek 2014-10-23 05:22:31 UTC
So... there were bugs in the implementation. Patches are now upstream but not yet in systemd-216-5.fc21.


Note You need to log in before you can comment on or make changes to this bug.